@import 'abstracts/_mixins'
@import 'abstracts/_variables'
@import 'abstracts/_breakpoints'

.carousel-wrapper
  &.on-boarding
    +flex(center, center, column)
  user-select: none
  overflow: hidden
  .slides
    position: relative
    .slide
      .slide-inner
        +flex(center, center, column)
        .image-container
          width: 100%
          height: 300px
          background-position: center
          background-repeat: no-repeat
          background-size: cover
        span
          text-align: center
          color: var(--red-1)
          font-size: var(--fs-xl)
  .marker
    +flex(center, center)
    width: 100%
    position: absolute
    bottom: 6px
    > div
      width: 25px
      height: 6px
      background: var(--gray-rgba-1)
      margin: 5px
      border-radius: var(--border-radius-s)
      &.active
        background: var(--gray-3)
  .carousel-btn
    width: 250px
    height: 38px
    margin-top: 40px
    border-radius: var(--border-radius)
    border: none
    transition: all .15s ease-in
    background: var(--red-1)
    background: -webkit-linear-gradient(to right, #ff4e3c, #ff3f39)
    background: linear-gradient(to right, #ff4e3c, #ff3f39)
    span
      color: var(--white)
      font-size: var(--fs)
      font-family: 'Poppins'

@media only screen and (max-width: $break-mobile)
  .carousel-wrapper
    .carousel-btn
      width: 250px